Install from source

Installation from source


Warning: All boost newer than 1.64+ has a bug in boost fusion. The bug has been reported here and fixed, but will take time to be released on all platforms. In case you have a broken boost version use the OpenFPM scripts here to force the installation of BOOST 1.63
 

For Linux or OSX, clone our repo and to install in the default location use:
git clone https://github.com/IBirdSoft/openfpm_pdata_1.1.0.git && cd openfpm_pdata && ./install && sudo make install

 

To choose where to install dependencies and library use:
git clone https://github.com/IBirdSoft/openfpm_pdata_1.1.0.git && cd openfpm_pdata && ./install -i "/where/you/want/to/put/dependencies" -c "--prefix=/where/you/want/to/install" && make install

 

Troubleshoot